Mailboxes

Send a draft

Sends one of the caller's drafts: a reply draft in its thread, any other draft as a new conversation. A draft needs recipients, a subject, and a body.

POST
/v1/mailboxes/{id}/drafts/{draftId}/send

Sends one of the caller's drafts: a reply draft in its thread, any other draft as a new conversation. A draft needs recipients, a subject, and a body.

x-api-key<token>

In: header

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
draftId*string
Match^mdraft_[0-9a-hjkmnp-tv-z]{16,24}$

Header Parameters

idempotency-key?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/mailboxes/string/drafts/string/send"
{  "actionId": "string",  "draftId": "string",  "messageId": "string",  "threadId": "string",  "state": "approvalRequired",  "acceptedAt": "string",  "waitReason": "rate",  "reviewExpectedAt": "string",  "skippedRecipients": [    {      "address": "string",      "reason": "bounce",      "unsubscribeGroupId": "string"    }  ],  "executeUntil": "string",  "retryAt": "string",  "problem": {    "code": "string",    "message": "string",    "error": {      "_tag": "SenderNotReadyError",      "message": "string",      "sender": "string",      "retryAfterSeconds": 0    }  },  "retryEligible": true,  "decision": {    "outcome": "allow",    "reason": "string",    "policyId": "string",    "source": "grant",    "decidedAt": "string"  },  "createdAt": "string",  "updatedAt": "string"}

Related documentation